Subject: RE: How to install mod_ssl + mod_webapp?

From: [email-masked]
Date: Tue, 26 Feb 2002 09:41:51 +0100

i did compile a post-1.1.2 EAPI version of mod_jserv which works fine - and
without warnings - with my configuration (apache 1.3.22/mod_ssl 2.8.5):

http://www.modssl.org/contrib/mod_jserv-1.1.3-dev-eapi-WIN32.zip

...had to set 
KeepAlive Off 
in httpd.conf however (BUG #569) to get production quality.

michael

> -----Ursprungliche Nachricht-----
> Von: Will Guaraldi [mailto:[email-masked]]
> Gesendet: Freitag, 22. Februar 2002 15:36
> An: [email-masked]
> Betreff: RE: How to install mod_ssl + mod_webapp?
> 
> 
> For the record, we're running Apache 1.3.20/mod_ssl 2.8.4 
> with ApacheJServer
> 1.1.2 and we get the same warning when it loads JServ that 
> you get with
> mod_webapp.c and our application works fine.  So you might not have to
> recompile the mod_webapp module with -DEAPI.
> 
> /will
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Wes Barris
> > Sent: Thursday, February 21, 2002 5:21 PM
> > To: modssl list
> > Subject: How to install mod_ssl + mod_webapp?
> >
> >
> > We are currently using Jakarta-tomcat-4.0.1 with Apache httpd 1.3.22
> > (binary distributions for linux downloaded from the www.apache.org
> > website).  I also have mod_webapp installed (downloaded from the
> > same website).
> >
> > Now, I want to add mod_ssl functionality to this mix.  From what I
> > gather from the www.modssl.org website, I must throw away what I
> > have and compile from sources in order to use mod_ssl.
> >
> > I followed the instructions on this page:
> >
> > 	http://www.modssl.org/example/
> >
> > and everything seemed to build properly.  After copying 
> mod_ssl.so to
> > the new ./libexec directory and adding the following two lines to
> > ./conf/httpd.conf:
> >
> > LoadModule webapp_module      libexec/mod_webapp.so
> > AddModule mod_webapp.c
> >
> > I get this error message:
> >
> > root@redhat# /usr/local/apache-ssl/bin/apachectl configtest
> > [Wed Feb 20 15:59:04 2002] [warn] Loaded DSO
> > libexec/mod_webapp.so uses plain Apache 1.3 API, this module
> > might crash under EAPI! (please recompile it with -DEAPI)
> > [Wed Feb 20 15:59:04 2002] [warn] module mod_webapp.c is already
> > added, skipping
> > Syntax OK
> >
> > I can read the words but I don't really know what to do.  It seems
> > to be saying that I have to compile mod_webapp using -DEAPI.  Can
> > anyone provide some guidance?
> >
> > --
> > Wes Barris
> > E-Mail: [email-masked]
> > Phone: 07-3346-2504
> > 
> ______________________________________________________________________
> > Apache Interface to OpenSSL (mod_ssl)                   
www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
>

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: Wes Barris <[email-masked]>
Date: Wed, 27 Feb 2002 09:16:35 +1000

> http://www.modssl.org/contrib/mod_jserv-1.1.3-dev-eapi-WIN32.zip

Thanks.

The mod_webapp binary from jakarta.apache.org seems to be working
fine despite the warning about EAPI.